#!/bin/bash
set -x

if [ "$(id -u)" != "0" ]; then
    echo ""
    echo ""
    echo "This script should be run as root."
    echo ""
    echo ""
    exit 1;
fi


echo "Disable system service:"
sudo systemctl disable pod-party
sudo systemctl stop pod-party

sudo systemctl disable pod-dockprom
sudo systemctl stop pod-dockprom


##############
# Domains
##############

DOMS="charlesreid1.party"

for DOM in $DOMS; do

    ## Fake:
    #certbot certonly \
    #    --standalone \
    #    --non-interactive \
    #    --dry-run \
    #    --agree-tos \
    #    --email charles@charlesreid1.com \
    #    -d ${DOM}

    # Real:
    certbot certonly \
        --standalone \
        --non-interactive \
        --agree-tos \
        --email charles@charlesreid1.com \
        -d ${DOM}

done



##############
# Subdomains
##############

DOMS="charlesreid1.party"
#SUBS="wiki grafana"
SUBS="www"

# Subdomains
for SUB in $SUBS; do
    for DOM in $DOMS; do

        ## Fake:
        #certbot certonly \
        #    --standalone \
        #    --non-interactive \
        #    --dry-run \
        #    --agree-tos \
        #    --email charles@charlesreid1.com \
        #    -d ${SUB}.${DOM}

        # Real:
        certbot certonly \
            --standalone \
            --non-interactive \
            --agree-tos \
            --email charles@charlesreid1.com \
            -d ${SUB}.${DOM}

    done
done

echo "Enable system service:"
sudo systemctl enable pod-party
sudo systemctl start pod-party

sudo systemctl enable pod-dockprom
sudo systemctl start pod-dockprom

